<?php
/*
 * On inclut les données sur les poèmes.
 * Utilisation de require (on considère que l'absence du fichier
 * doit être fatale) et plus précisément require_once (le fichier
 * est un genre de librairie ; pas la peine qu'il soit inclus
 * plus d'une fois).
 */
require_once("donnees.php");

$poeme = null;

if (!key_exists('poeme', $_GET)) {
	$titrePage = "Poèmes";
	$contenu = "Bienvenue sur ce site de poèmes. Choisir un poème dans le menu.";
} else {
	$poemeURL = $_GET['poeme'];
	if (key_exists($poemeURL, $donnees)) {
		/* on a la garantie que $poemeURL contient 'boheme', 'correspondances',
		 * 'bois' ou 'automne' */
		$poeme = $donnees[$poemeURL];
		$titrePage = $poeme['titre'];
	} else {
		$titrePage = "Erreur";
		$contenu = "Le poème demandé n'existe pas.";
	}
}

?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo $titrePage; ?></title>
	<meta charset="UTF-8" />
</head>
<body>

<nav class="menu">
	<ul>
<?php
foreach ($donnees as $clef => $p) {
	echo "\t\t<li><a href=\".?poeme=$clef\">{$p['titre']}</a></li>\n";
}
?>
	</ul>
</nav>

<main>
	<h1><?php echo $titrePage; ?></h1>

<?php
if ($poeme === null) {
	/* pas de poème à afficher, on affiche le message */
	echo $contenu;
} else {
	/* on affiche le poème */
?>
	<figure>
		<img src="images/<?php echo $poeme['image']; ?>" alt="<?php echo $poeme['auteur']; ?>" />
	</figure>

	<div class="texte">
	<?php include('textes/'.$poeme['fragment'].'.frg.html'); ?>
	</div>

	<div class="auteur"><?php echo $poeme['auteur']; ?></div>
<?php
} /* fin du else */
?>
</main>

</body>
</html>

